Construct a Swoole server.

- « Swoole\Server::connection_list

- Swoole\Server::defer »

- PHP Manual
- Swoole\Server
- Construct a Swoole server.

# Swoole\Server::__construct

(PECL swoole >= 1.9.0)

Swoole\Server::__construct — Construct a Swoole server.

### Description

public Swoole\Server::__construct(
string `$host`,
int `$port` = ?,
integr `$mode` = ?,
int `$sock_type` = ?
)

### Parameters

`host`

`port`

`mode`

`sock_type`